#include <bits/stdc++.h>
using namespace std;
vector <int> solve(vector<int> A)
{
    bool f=true;
    int n=A.size();
    for (int i=0; i<n; i++)
    {
        if (A[i]!=(1<<i))
        {
            f=false; break;
        }
    }
    if (f)
    {
        return {n-1};
    }
    else
    {

    }
}